Bug 1484559 - [quick install] atomic-openshift-installer fails on Atomic Host 7.4
Summary: [quick install] atomic-openshift-installer fails on Atomic Host 7.4
Keywords:
Status: CLOSED DUPLICATE of bug 1416521
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.6.1
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: Scott Dodson
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-23 20:52 UTC by Scott McCarty
Modified: 2017-12-13 22:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-24 19:38:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Scott McCarty 2017-08-23 20:52:27 UTC
Description of problem:
I just tested this with the new 3.6 installer running from RHEL7.4, connecting to a RHEL Atomic Host 7.4 host to be installed, and it still fails with the same problem described here (https://bugzilla.redhat.com/show_bug.cgi?id=1340425). 

The business driver here is that we need the all-in-one/quick-installer to work on Atomic Host. So, just telling customers that they have to put the NFS role on a RHEL box really hinders our ability to run on Atomic Host. 

What we really need, is for the installer to recognize this as Atomic Host and change the storage type to something else, like local directory, for the all-in-one.

This use case is important for sales situations where the customer needs to just download it and play, we want to drive Atomic Host usage.

Also, it's useful for developers who may want their own all-in-one install of OpenShift.

Is there a way to do this?



Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Run installer from RHEL7 box, connect to Atomic Host
2. Walk through selection items
3. Begin installation
4. It will fail

Actual results:
Install fails with this message:

============================================================================
Play 13/34 (Configure nfs)
..................................................fatal: [atomic7.dc2.crunchtools.com]: FAILED! => {"changed": false, "failed": true, "msg": "Could not find a module for unknown."}

atomic7.dc2.crunchtools.com : ok=228  changed=37   unreachable=0    failed=1   
localhost                  : ok=12   changed=0    unreachable=0    failed=0   


Installation Complete: Note: Play count is only an estimate, some plays may have been skipped or dynamically added


Failure summary:

  1. Host:     atomic7.dc2.crunchtools.com
     Play:     Configure nfs
     Task:     openshift_storage_nfs : Install nfs-utils
     Message:  Could not find a module for unknown.

An error was detected. After resolving the problem please relaunch the
installation process.
============================================================================


Expected results:

============================================================================
Determine that OpenShift Container Platform is being installed on Atomic Host and select a different storage type. Do not require an NFS role at all for the registry to work. It doesn't matter if the storage is local in an all-in-one installation.


============================================================================


Additional info:

This really hinders our ability to do proof of concepts with OCP on Atomic Host because it requires two nodes instead of one. Furthermore, the docker setup is so much easier on Atomic Host, and the installation is way faster.

So, we are forcing people to only use RHEL which slows things down.


Description of problem:

Version-Release number of the following components:
rpm -q openshift-ansible
rpm -q ansible
ansible --version

How reproducible:

Steps to Reproduce:
1.
2.
3.

Actual results:
Please include the entire output from the last TASK line through the end of output if an error is generated

Expected results:

Additional info:
Please attach logs from ansible-playbook with the -vvv flag

Comment 1 Scott Dodson 2017-08-24 19:38:07 UTC

*** This bug has been marked as a duplicate of bug 1416521 ***


Note You need to log in before you can comment on or make changes to this bug.